<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::Vector2D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_vector2_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classframework_1_1core_1_1_vector2_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::Vector2D Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 2D vector.  
 <a href="classframework_1_1core_1_1_vector2_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_vector2_d_8h_source.html">Vector2D.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3ddbaf50c0bdd40cd8c2acafcc727f37"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a3ddbaf50c0bdd40cd8c2acafcc727f37">Vector2D</a> (float <a class="el" href="classframework_1_1core_1_1_vector2_d.html#ad82d0fca1cbe22b4834443fbb3958ebb">x</a>=0, float <a class="el" href="classframework_1_1core_1_1_vector2_d.html#afb6a9395d7caa7ef979cd923e298783f">y</a>=0)</td></tr>
<tr class="memdesc:a3ddbaf50c0bdd40cd8c2acafcc727f37"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3ddbaf50c0bdd40cd8c2acafcc727f37">More...</a><br /></td></tr>
<tr class="separator:a3ddbaf50c0bdd40cd8c2acafcc727f37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c7ab954acc50a0bf3007b5043d7ff79"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a1c7ab954acc50a0bf3007b5043d7ff79">~Vector2D</a> ()</td></tr>
<tr class="memdesc:a1c7ab954acc50a0bf3007b5043d7ff79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a1c7ab954acc50a0bf3007b5043d7ff79">More...</a><br /></td></tr>
<tr class="separator:a1c7ab954acc50a0bf3007b5043d7ff79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4279b09d16fce2a45eed368102b4080d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a4279b09d16fce2a45eed368102b4080d">Rotate</a> (float value)</td></tr>
<tr class="memdesc:a4279b09d16fce2a45eed368102b4080d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation.  <a href="#a4279b09d16fce2a45eed368102b4080d">More...</a><br /></td></tr>
<tr class="separator:a4279b09d16fce2a45eed368102b4080d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98b412264ecd0010f41cf66258ae0acf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a98b412264ecd0010f41cf66258ae0acf">RotateDeg</a> (float value)</td></tr>
<tr class="memdesc:a98b412264ecd0010f41cf66258ae0acf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation.  <a href="#a98b412264ecd0010f41cf66258ae0acf">More...</a><br /></td></tr>
<tr class="separator:a98b412264ecd0010f41cf66258ae0acf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac29e45c6321ebc4987fe6cc45da844bb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#ac29e45c6321ebc4987fe6cc45da844bb">GetNorm</a> (void) const </td></tr>
<tr class="memdesc:ac29e45c6321ebc4987fe6cc45da844bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#ac29e45c6321ebc4987fe6cc45da844bb">More...</a><br /></td></tr>
<tr class="separator:ac29e45c6321ebc4987fe6cc45da844bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a9d199806adeff4cd6839acd1428039"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a8a9d199806adeff4cd6839acd1428039">Normalize</a> (void)</td></tr>
<tr class="memdesc:a8a9d199806adeff4cd6839acd1428039"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#a8a9d199806adeff4cd6839acd1428039">More...</a><br /></td></tr>
<tr class="separator:a8a9d199806adeff4cd6839acd1428039"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb8ed690ff3c9053ef9250c0dd6ed4f6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#abb8ed690ff3c9053ef9250c0dd6ed4f6">Saturate</a> (<a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a> min, <a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a> max)</td></tr>
<tr class="memdesc:abb8ed690ff3c9053ef9250c0dd6ed4f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#abb8ed690ff3c9053ef9250c0dd6ed4f6">More...</a><br /></td></tr>
<tr class="separator:abb8ed690ff3c9053ef9250c0dd6ed4f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c2df0cb03172fee19a303f585ba3bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a31c2df0cb03172fee19a303f585ba3bf">Saturate</a> (float min, float max)</td></tr>
<tr class="memdesc:a31c2df0cb03172fee19a303f585ba3bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a31c2df0cb03172fee19a303f585ba3bf">More...</a><br /></td></tr>
<tr class="separator:a31c2df0cb03172fee19a303f585ba3bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c80a242da3f376b38e7cde0e5366306"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a6c80a242da3f376b38e7cde0e5366306">Saturate</a> (const <a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;value)</td></tr>
<tr class="memdesc:a6c80a242da3f376b38e7cde0e5366306"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a6c80a242da3f376b38e7cde0e5366306">More...</a><br /></td></tr>
<tr class="separator:a6c80a242da3f376b38e7cde0e5366306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a89b618c299bba65de31802c45fb9df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#a2a89b618c299bba65de31802c45fb9df">Saturate</a> (float value)</td></tr>
<tr class="memdesc:a2a89b618c299bba65de31802c45fb9df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a2a89b618c299bba65de31802c45fb9df">More...</a><br /></td></tr>
<tr class="separator:a2a89b618c299bba65de31802c45fb9df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad280631b6c6698fb1bc0f76fb90cd87b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad280631b6c6698fb1bc0f76fb90cd87b"></a>
<a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;vector)</td></tr>
<tr class="separator:ad280631b6c6698fb1bc0f76fb90cd87b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad82d0fca1cbe22b4834443fbb3958ebb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#ad82d0fca1cbe22b4834443fbb3958ebb">x</a></td></tr>
<tr class="memdesc:ad82d0fca1cbe22b4834443fbb3958ebb"><td class="mdescLeft">&#160;</td><td class="mdescRight">x  <a href="#ad82d0fca1cbe22b4834443fbb3958ebb">More...</a><br /></td></tr>
<tr class="separator:ad82d0fca1cbe22b4834443fbb3958ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6a9395d7caa7ef979cd923e298783f"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector2_d.html#afb6a9395d7caa7ef979cd923e298783f">y</a></td></tr>
<tr class="memdesc:afb6a9395d7caa7ef979cd923e298783f"><td class="mdescLeft">&#160;</td><td class="mdescRight">y  <a href="#afb6a9395d7caa7ef979cd923e298783f">More...</a><br /></td></tr>
<tr class="separator:afb6a9395d7caa7ef979cd923e298783f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a 2D vector. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3ddbaf50c0bdd40cd8c2acafcc727f37"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Vector2D::Vector2D </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td></td></tr>
    <tr><td class="paramname">y</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1c7ab954acc50a0bf3007b5043d7ff79"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Vector2D::~Vector2D </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4279b09d16fce2a45eed368102b4080d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Vector2D::Rotate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Rotation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a98b412264ecd0010f41cf66258ae0acf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Vector2D::RotateDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Rotation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac29e45c6321ebc4987fe6cc45da844bb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Vector2D::GetNorm </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Norm. </p>
<dl class="section return"><dt>Returns</dt><dd>value </dd></dl>

</div>
</div>
<a class="anchor" id="a8a9d199806adeff4cd6839acd1428039"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Vector2D::Normalize </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Normalize. </p>

</div>
</div>
<a class="anchor" id="abb8ed690ff3c9053ef9250c0dd6ed4f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Vector2D::Saturate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a>&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a>&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between min and max</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">min</td><td>minimum <a class="el" href="classframework_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> value </td></tr>
    <tr><td class="paramname">max</td><td>maximum <a class="el" href="classframework_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a31c2df0cb03172fee19a303f585ba3bf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Vector2D::Saturate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between min and max</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">min</td><td>minimum Vector2D(min,min) value </td></tr>
    <tr><td class="paramname">max</td><td>maximum Vector2D(max,max) value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6c80a242da3f376b38e7cde0e5366306"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Vector2D::Saturate </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between -abs(value) and abs(value)</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>saturation <a class="el" href="classframework_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a> value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2a89b618c299bba65de31802c45fb9df"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Vector2D::Saturate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Saturate. </p>
<p>Saturate between -abs(Vector2D(value,value)) and abs(Vector2D(value,value))</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>saturation Vector2D(value,value) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="ad82d0fca1cbe22b4834443fbb3958ebb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Vector2D::x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x </p>

</div>
</div>
<a class="anchor" id="afb6a9395d7caa7ef979cd923e298783f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Vector2D::y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
